import request from '@/utils/request'

// 分页查询泊位信息列表
export function pageListBerth(query) {
  return request({
    url: '/jxc/berth/pageList',
    method: 'get',
    params: query
  })
}

// 查询泊位信息列表
export function listBerth(query) {
  return request({
    url: '/jxc/berth/list',
    method: 'get',
    params: query
  })
}

// 查询泊位信息详细
export function getBerth(id) {
  return request({
    url: '/jxc/berth/' + id,
    method: 'get'
  })
}

// 新增泊位信息
export function addBerth(data) {
  return request({
    url: '/jxc/berth',
    method: 'post',
    data: data
  })
}

// 修改泊位信息
export function updateBerth(data) {
  return request({
    url: '/jxc/berth',
    method: 'put',
    data: data
  })
}

// 删除泊位信息
export function delBerth(id) {
  return request({
    url: '/jxc/berth/' + id,
    method: 'delete'
  })
}

// 导出泊位信息
export function exportBerth(query) {
  return request({
    url: '/jxc/berth/' + 'export',
    method: 'post',
    params: query
  })
}
